Index: modules/dnet-dli/trunk/src/test/java/eu/dnetlib/resolver/DLIParserTest.java
===================================================================
--- modules/dnet-dli/trunk/src/test/java/eu/dnetlib/resolver/DLIParserTest.java	(revision 49751)
+++ modules/dnet-dli/trunk/src/test/java/eu/dnetlib/resolver/DLIParserTest.java	(revision 49752)
@@ -42,8 +42,8 @@
  */
 
 @Ignore
-@RunWith(SpringJUnit4ClassRunner.class)
-@ContextConfiguration(classes = { ConfigurationTestConfig.class})
+//@RunWith(SpringJUnit4ClassRunner.class)
+//@ContextConfiguration(classes = { ConfigurationTestConfig.class})
 public class DLIParserTest extends  DLIAbstractTest{
 
 	private static final Log log = LogFactory.getLog(DLIParserTest.class);
@@ -103,7 +103,7 @@
 
 	@Test
 	public void testScholixParser() throws IOException {
-		final InputStream resourceAsStream = getClass().getResourceAsStream("/eu/dnetlib/dli/parser/InputRecordScholix.xml");
+		final InputStream resourceAsStream = getClass().getResourceAsStream("/eu/dnetlib/dli/parser/ieda.xml");
 
 		String str = IOUtils.toString(resourceAsStream);
 		ScholixResolverParser parser = new ScholixResolverParser();
Index: modules/dnet-dli/trunk/src/test/resources/eu/dnetlib/dli/parser/ieda.xml
===================================================================
--- modules/dnet-dli/trunk/src/test/resources/eu/dnetlib/dli/parser/ieda.xml	(revision 49751)
+++ modules/dnet-dli/trunk/src/test/resources/eu/dnetlib/dli/parser/ieda.xml	(revision 49752)
@@ -1,34 +1,54 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<oai:record xmlns:oai="http://www.openarchives.org/OAI/2.0/"
-            xmlns:dri="http://www.driver-repository.eu/namespace/dri"
-            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
-    <oai:header>
-        <dri:objIdentifier>r3d100010578::00242d65303876b062a9447ba88f0fa5</dri:objIdentifier>
-        <dri:recordIdentifier>10.1594/IEDA/100239::10.2136/vzj2010.0133</dri:recordIdentifier>
-        <dri:dateOfCollection>2017-03-29T11:33:51.486+02:00</dri:dateOfCollection>
-        <dri:repositoryId>ieda_UmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZXMvUmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZVR5cGU=
-        </dri:repositoryId>
+<oai:record xmlns:dc="http://purl.org/dc/elements/1.1/"
+            xmlns:dr="http://www.driver-repository.eu/namespace/dr"
+            xmlns:prov="http://www.openarchives.org/OAI/2.0/provenance"
+            xmlns="http://namespace.openaire.eu/"
+            xmlns:scholix="http://www.scholix.org"
+            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+            xmlns:oaf="http://namespace.dnet.eu/oaf"
+            xmlns:oai="http://www.openarchives.org/OAI/2.0/">
+    <oai:header xmlns:dri="http://www.driver-repository.eu/namespace/dri">
+        <dri:objIdentifier>r3d100010578::00f68ffa3a22be24efc1f88a791ad849</dri:objIdentifier>
+        <dri:recordIdentifier>10.1594/IEDA/320688::http://hdl.handle.net/1957/29381</dri:recordIdentifier>
+        <dri:dateOfCollection>2017-10-31T10:07:38.056+01:00</dri:dateOfCollection>
+        <dri:repositoryId>ieda_UmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZXMvUmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZVR5cGU=</dri:repositoryId>
         <dri:datasourceprefix>r3d100010578</dri:datasourceprefix>
     </oai:header>
-    <oai:metadata>
-        <csvRecord>
-            <column isID="true" name="ID">10.1594/IEDA/100239::10.2136/vzj2010.0133</column>
-            <column name="DOI">10.1594/IEDA/100239</column>
-            <column name="REPO">ECL</column>
-            <column name="RELATION">IsCitedBy</column>
-            <column name="TYPEPID">DOI</column>
-            <column name="PIDREL">10.2136/vzj2010.0133</column>
-        </csvRecord>
-    </oai:metadata>
-    <oai:about>
-        <provenance xmlns="http://www.openarchives.org/OAI/2.0/provenance"
-                    xsi:schemaLocation="http://www.openarchives.org/OAI/2.0/provenance http://www.openarchives.org/OAI/2.0/provenance.xsd">
-            <originDescription xmlns="" altered="true" harvestDate="2017-03-29T11:33:51.486+02:00">
-                <baseURL>file%3A%2F%2F%2Fvar%2Flib%2Fdli%2Fieda.tsv</baseURL>
-                <identifier/>
-                <datestamp/>
-                <metadataNamespace/>
-            </originDescription>
-        </provenance>
-    </oai:about>
+    <metadata>
+        <link xmlns="http://www.scholix.org">
+            <linkProvider>
+                <name>IEDA</name>
+                <identifiers>
+                    <identifier>dli_________::r3d100010578</identifier>
+                    <schema>DNet-identifier</schema>
+                </identifiers>
+            </linkProvider>
+            <relashionship>
+                <name/>
+                <schema>datacite</schema>
+                <inverseRelashionship>related</inverseRelashionship>
+            </relashionship>
+            <source>
+                <identifier>
+                    <identifier/>
+                    <schema>doi</schema>
+                </identifier>
+                <objectType>
+                    <type>dataset</type>
+                </objectType>
+            </source>
+            <target>
+                <identifier>
+                    <identifier/>
+                    <schema/>
+                </identifier>
+            </target>
+        </link>
+    </metadata>
+    <oaf:about>
+        <oaf:datainfo>
+            <oaf:collectedFrom completionStatus="incomplete" id="dli_________::r3d100010578" name="IEDA"/>
+            <oaf:completionStatus>incomplete</oaf:completionStatus>
+            <oaf:provisionMode>collected</oaf:provisionMode>
+        </oaf:datainfo>
+    </oaf:about>
 </oai:record>
\ No newline at end of file
Index: modules/dnet-dli/trunk/src/main/java/eu/dnetlib/resolver/parser/ScholixResolverParser.java
===================================================================
--- modules/dnet-dli/trunk/src/main/java/eu/dnetlib/resolver/parser/ScholixResolverParser.java	(revision 49751)
+++ modules/dnet-dli/trunk/src/main/java/eu/dnetlib/resolver/parser/ScholixResolverParser.java	(revision 49752)
@@ -37,31 +37,31 @@
 
 			final VTDNav vn = vg.getNav();
 			final AutoPilot ap = new AutoPilot(vn);
-            ap.declareXPathNameSpace("dri", "http://www.driver-repository.eu/namespace/dri");
 
-            final String resolvedDate = VtdUtilityParser.getSingleValue(ap, vn, "//dri:resolvedDate");
+
+            final String resolvedDate = VtdUtilityParser.getSingleValue(ap, vn, "//*[local-name()='resolvedDate']");
             parsedObject.setResolvedDate(resolvedDate);
 
-            //final String datasourcePrefix = VtdUtilityParser.getSingleValue(ap, vn, "//dri:datasourceprefix");
-            ap.declareXPathNameSpace("oaf", "http://namespace.dnet.eu/oaf");
 
-			final String completionStatus = VtdUtilityParser.getSingleValue(ap, vn, "//oaf:completionStatus");
-            //final String provisionMode = VtdUtilityParser.getSingleValue(ap, vn, "//oaf:provisionMode");
 
+
+			final String completionStatus = VtdUtilityParser.getSingleValue(ap, vn, "//*[local-name()='completionStatus']");
+
+
 			List<VtdUtilityParser.Node> provenances =
-					VtdUtilityParser.getTextValuesWithAttributes(ap, vn, "//oaf:collectedFrom", Arrays.asList("completionStatus", "id", "name"));
+					VtdUtilityParser.getTextValuesWithAttributes(ap, vn, "//*[local-name()='collectedFrom']", Arrays.asList("completionStatus", "id", "name"));
 
 
-            ap.declareXPathNameSpace("scholix", "http://www.scholix.org");
 
-            final String sourcePid = VtdUtilityParser.getSingleValue(ap, vn, "//scholix:source/identifier/identifier");
-            final String sourcePidTye = VtdUtilityParser.getSingleValue(ap, vn, "//scholix:source/identifier/schema");
-            final String sourceType = VtdUtilityParser.getSingleValue(ap, vn, "//scholix:source/objectType/type");
 
-            final String sourcePublisherId = VtdUtilityParser.getSingleValue(ap, vn, "//scholix:source/publisher//identifier");
-            final String sourcePublisher = VtdUtilityParser.getSingleValue(ap, vn, "//scholix:source/publisher/name");
+            final String sourcePid = VtdUtilityParser.getSingleValue(ap, vn, "//*[local-name()='source']/*[local-name()='identifier']/*[local-name()='identifier']");
+            final String sourcePidTye = VtdUtilityParser.getSingleValue(ap, vn, "//*[local-name()='source']/*[local-name()='identifier']/*[local-name()='schema']");
+            final String sourceType = VtdUtilityParser.getSingleValue(ap, vn, "//*[local-name()='source']/*[local-name()='objectType']/*[local-name()='type']");
 
+            final String sourcePublisherId = VtdUtilityParser.getSingleValue(ap, vn, "//*[local-name()='source']/*[local-name()='publisher']//*[local-name()='identifier']");
+            final String sourcePublisher = VtdUtilityParser.getSingleValue(ap, vn, "//*[local-name()='source']/*[local-name()='publisher']/*[local-name()='name']");
 
+
             if (StringUtils.isEmpty(sourcePid) || StringUtils.isEmpty(sourcePidTye)) {
                 return null;
             }
@@ -91,9 +91,9 @@
             if (!StringUtils.isEmpty(sourceType))
                 parsedObject.setType(ObjectType.valueOf(sourceType));
 
-            final String sourceTitle = VtdUtilityParser.getSingleValue(ap, vn, "//scholix:source/title");
+            final String sourceTitle = VtdUtilityParser.getSingleValue(ap, vn, "//*[local-name()='source']/*[local-name()='title']");
 
-            final List<String> creators = VtdUtilityParser.getTextValue(ap, vn, "//scholix:source//scholix:creatorName");
+            final List<String> creators = VtdUtilityParser.getTextValue(ap, vn, "//*[local-name()='source']//*[local-name()='creatorName']");
 
             if (!StringUtils.isEmpty(sourceTitle))
                 parsedObject.setTitles(Arrays.asList(sourceTitle));
@@ -110,11 +110,11 @@
                 parsedObject.setAuthors(sourceCreators);
             }
 
-            parsedObject.setDate(VtdUtilityParser.getSingleValue(ap, vn, "//scholix:link/scholix:publicationDate"));
+            parsedObject.setDate(VtdUtilityParser.getSingleValue(ap, vn, "//*[local-name()='link']/*[local-name()='publicationDate']"));
 
-            final String targetPid = VtdUtilityParser.getSingleValue(ap, vn, "//scholix:target/identifier/identifier");
-            final String targetPidTye = VtdUtilityParser.getSingleValue(ap, vn, "//scholix:target/identifier/schema");
-            final String targetType = VtdUtilityParser.getSingleValue(ap, vn, "//scholix:target/objectType/type");
+            final String targetPid = VtdUtilityParser.getSingleValue(ap, vn, "//*[local-name()='target']/*[local-name()='identifier']/*[local-name()='identifier']");
+            final String targetPidTye = VtdUtilityParser.getSingleValue(ap, vn, "//*[local-name()='target']/*[local-name()='identifier']/*[local-name()='schema']");
+            final String targetType = VtdUtilityParser.getSingleValue(ap, vn, "//*[local-name()='target']/*[local-name()='objectType']/*[local-name()='type']");
 
 
             if (StringUtils.isEmpty(targetPid) || StringUtils.isEmpty(targetPidTye)) {
@@ -122,8 +122,8 @@
 			}
 
 
-            final String relationType = VtdUtilityParser.getSingleValue(ap, vn, "//scholix:relashionship/name");
-            final String inverseRelationSemantic = VtdUtilityParser.getSingleValue(ap, vn, "//scholix:relashionship/inverseRelashionship");
+            final String relationType = VtdUtilityParser.getSingleValue(ap, vn, "//*[local-name()='relashionship']/*[local-name()='name']");
+            final String inverseRelationSemantic = VtdUtilityParser.getSingleValue(ap, vn, "//*[local-name()='relashionship']/*[local-name()='inverseRelashionship']");
 
 
             final List<ObjectRelation> relations = new ArrayList<>();
Index: modules/dnet-dli/trunk/src/main/java/eu/dnetlib/resolver/mdstore/plugin/DLIRecordResolver.java
===================================================================
--- modules/dnet-dli/trunk/src/main/java/eu/dnetlib/resolver/mdstore/plugin/DLIRecordResolver.java	(revision 49751)
+++ modules/dnet-dli/trunk/src/main/java/eu/dnetlib/resolver/mdstore/plugin/DLIRecordResolver.java	(revision 49752)
@@ -44,10 +44,12 @@
     public String resolve(final String inputRecord) {
 
 		final DLIResolvedObject inputObject = (DLIResolvedObject) parser.parse(inputRecord);
-		if (inputObject != null && StringUtils.isNoneBlank(inputObject.getResolvedDate()))
+		if (inputObject==null)
 			return null;
+		if (StringUtils.isNoneBlank(inputObject.getResolvedDate()))
+			return null;
 
-		if (inputObject != null && !StringUtils.isBlank(inputObject.getPid())) {
+		if (!StringUtils.isBlank(inputObject.getPid())) {
 			log.debug("trying to resolve " + inputObject.getPid());
 		}
 
Index: modules/dnet-dli/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/pubmed_transform.xml
===================================================================
--- modules/dnet-dli/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/pubmed_transform.xml	(revision 49751)
+++ modules/dnet-dli/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/pubmed_transform.xml	(revision 49752)
@@ -23,8 +23,8 @@
             <xsl:copy-of select="//*[local-name()='header']"/>
             <metadata>
                 <oaf:pid type="doi">
-                    <xsl:attribute name="type"><xsl:value-of select="//*[local-name()='localIdentifier']/@type"/></xsl:attribute>
-                    <xsl:value-of select="//*[local-name()='localIdentifier']"/>
+                    <xsl:attribute name="type"><xsl:value-of select="normalize-space(//*[local-name()='localIdentifier']/@type)"/></xsl:attribute>
+                    <xsl:value-of select="normalize-space(//*[local-name()='dliObject']/*[local-name()='localIdentifier'])"/>
                 </oaf:pid>
                 <xsl:for-each select="//*[local-name()='title']">
                     <dc:title><xsl:value-of select="."/></dc:title>