Index: modules/dnet-isti/trunk/src/main/java/eu/dnetlib/xml/ISTIUtilityFunction.java
===================================================================
--- modules/dnet-isti/trunk/src/main/java/eu/dnetlib/xml/ISTIUtilityFunction.java	(revision 50571)
+++ modules/dnet-isti/trunk/src/main/java/eu/dnetlib/xml/ISTIUtilityFunction.java	(revision 50572)
@@ -72,7 +72,7 @@
 	public static String calculatePersonName(final String s) {
 		final Pattern pattern = Pattern.compile("info:cnr-pdr\\/author\\/(.+):(.+)\\/(.+)\\/(.+)");
 		final Matcher matcher = pattern.matcher(s);
-		return matcher.find() ? capitalize(String.format("%s %s", matcher.group(3), matcher.group(4))) : "";
+		return matcher.find() ? capitalize(String.format("%s %s", matcher.group(4), matcher.group(3))) : "";
 	}
 
 	// <xsl:for-each select="tokenize(istiFunction:cleanName(.), ';')">
Index: modules/dnet-isti/trunk/src/main/java/eu/dnetlib/data/mdstore/plugins/EnrichOpenairePlugin.java
===================================================================
--- modules/dnet-isti/trunk/src/main/java/eu/dnetlib/data/mdstore/plugins/EnrichOpenairePlugin.java	(revision 50571)
+++ modules/dnet-isti/trunk/src/main/java/eu/dnetlib/data/mdstore/plugins/EnrichOpenairePlugin.java	(revision 50572)
@@ -48,8 +48,9 @@
 				updateCitations(doc, n);
 				updateUrls(doc, n);
 				updateProjects(doc, n);
-				updateBestLicence(doc, n);
 
+				updateBestLicence(doc);
+
 				return true;
 			} else if (results.size() == 1) {
 				log.warn("Too many responses");
@@ -107,7 +108,7 @@
 		}
 
 		for (final Object oin : n.selectNodes(".//instance")) {
-			final String licence = ((Element) oin).valueOf("./licence/@classname").trim();
+			final String licence = ((Element) oin).valueOf("./accessright/@classname").trim();
 			final String hostedBy = ((Element) oin).valueOf("./hostedby/@name").trim();
 			for (final Object ourl : ((Element) oin).selectNodes("./webresource/url")) {
 				final MyURL u = new MyURL(((Node) ourl).getText().trim(), hostedBy, licence);
@@ -176,7 +177,7 @@
 		}
 	}
 
-	private void updateBestLicence(final Document doc, final Node n) {
+	private void updateBestLicence(final Document doc) {
 		final Set<String> availables = new HashSet<>();
 		for (final Object o : doc.selectNodes("//*[local-name()='alternateIdentifier']")) {
 			availables.add(((Node) o).valueOf("@licence").trim().toUpperCase());
Index: modules/dnet-isti/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/MDFormatDSResources/datacite_mdformat.xml
===================================================================
--- modules/dnet-isti/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/MDFormatDSResources/datacite_mdformat.xml	(revision 50571)
+++ modules/dnet-isti/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/MDFormatDSResources/datacite_mdformat.xml	(revision 50572)
@@ -29,7 +29,7 @@
 						<FIELD indexable="true" name="date" result="false" stored="true" stat="false" tokenizable="false" xpath="//*[local-name() = 'date']"/>
 						<FIELD indexable="true" name="affiliation" result="false" stored="true" stat="false" tokenizable="false" xpath="//*[local-name() = 'affiliation']"/>
 						<FIELD indexable="true" name="group" result="false" stored="true" stat="false" tokenizable="false" xpath="//*[local-name() = 'affiliation' and @type = 'Servizio']/@group"/>
-						<FIELD indexable="true" name="laboratory" result="false" stored="true" stat="false" tokenizable="false" xpath="//*[local-name() = 'affiliation' and (@type = 'Laboratorio' or  or @type = 'Centro')]/@group"/>
+						<FIELD indexable="true" name="laboratory" result="false" stored="true" stat="false" tokenizable="false" xpath="//*[local-name() = 'affiliation' and (@type = 'Laboratorio' or @type = 'Centro')]/@group"/>
 						<FIELD indexable="true" name="creatorforbrowsing" result="false" stored="false" stat="false" tokenizable="false" xpath="//*[local-name() = 'creator']/*[local-name()='creatorName']"/>
 						<FIELD indexable="true" name="cnrcreatorforbrowsing" result="false" stored="false" stat="false" tokenizable="false" xpath="//*[local-name() = 'person']/*[local-name()='personName']"/>
 						<FIELD indexable="true" name="doi" result="false" stat="false" stored="true" tokenizable="false" xpath="//*[local-name() = 'alternateIdentifier' and @alternateIdentifierType='doi']"/>