Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/RepositoryServiceResourceType/ariadne.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/RepositoryServiceResourceType/ariadne.xml	(revision 50847)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/RepositoryServiceResourceType/ariadne.xml	(revision 50848)
@@ -1,11 +1,10 @@
 <RESOURCE_PROFILE>
 	<HEADER>
-		<RESOURCE_IDENTIFIER
-				value="22de3ac4-563d-4bd7-b701-ff36c796f336_UmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZXMvUmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZVR5cGU="/>
+		<RESOURCE_IDENTIFIER value="22de3ac4-563d-4bd7-b701-ff36c796f336_UmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZXMvUmVwb3NpdG9yeVNlcnZpY2VSZXNvdXJjZVR5cGU="/>
 		<RESOURCE_TYPE value="RepositoryServiceResourceType"/>
 		<RESOURCE_KIND value="RepositoryServiceResources"/>
 		<RESOURCE_URI value=""/>
-		<DATE_OF_CREATION value="2017-03-10T11:27:16-03:00"/>
+		<DATE_OF_CREATION value="2018-02-21T17:33:11+01:00"/>
 		<PROTOCOL/>
 	</HEADER>
 	<BODY>
@@ -33,11 +32,95 @@
 			<REPOSITORY_INSTITUTION>ARIADNE</REPOSITORY_INSTITUTION>
 			<ADMIN_INFO>franca.debole@isti.cnr.it</ADMIN_INFO>
 			<INTERFACES>
-				<INTERFACE active="false" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::sftp" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
-					<ACCESS_PROTOCOL extensions="xml" recursive="true">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
-					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/acdmCorrectPeriod</BASE_URL>
-					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*[local-name()='dataset']/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::sftp" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/old/acdm_correct</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="last_collection_date">2017-11-03T18:44:43+01:00</INTERFACE_EXTRA_FIELD>
+					<INTERFACE_EXTRA_FIELD name="last_collection_mdId">81618d0e-c816-46ce-808a-d540e9d97429_TURTdG9yZURTUmVzb3VyY2VzL01EU3RvcmVEU1Jlc291cmNlVHlwZQ==</INTERFACE_EXTRA_FIELD>
+					<INTERFACE_EXTRA_FIELD name="last_collection_total">1623731</INTERFACE_EXTRA_FIELD>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
 				</INTERFACE>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::ADS" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/test/ACDM_ORIGINAL_DATASETS/ADS</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::AIAC" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/test/ACDM_ORIGINAL_DATASETS/AIAC</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::ARHEO" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/test/ACDM_ORIGINAL_DATASETS/ARHEO</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::ARUP" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/test/ACDM_ORIGINAL_DATASETS/ARUP</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::CSIC" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/test/ACDM_ORIGINAL_DATASETS/CSIC</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::CYI" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/test/ACDM_ORIGINAL_DATASETS/CYI</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::DAI" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/test/ACDM_ORIGINAL_DATASETS/DAI</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::DANS" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/test/ACDM_ORIGINAL_DATASETS/DANS</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::Discovery" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/test/ACDM_ORIGINAL_DATASETS/Discovery</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::INRAP" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/test/ACDM_ORIGINAL_DATASETS/INRAP</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::MIBAC" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/test/ACDM_ORIGINAL_DATASETS/MIBAC</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::MNM" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/test/ACDM_ORIGINAL_DATASETS/MNM</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::NIAM" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/test/ACDM_ORIGINAL_DATASETS/NIAM</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::OEAW" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/test/ACDM_ORIGINAL_DATASETS/OEAW</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::SND" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/test/ACDM_ORIGINAL_DATASETS/SND</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+				<INTERFACE active="true" compliance="metadata" contentDescription="metadata" id="api_________::ariadne::ZRC" label="dnet:repository (metadata)" removable="false" typology="dnet:repository">
+					<ACCESS_PROTOCOL extensions="xml" recursive="true" username="alessia">sftpPubKeyAuthentication</ACCESS_PROTOCOL>
+					<BASE_URL>sftp://ariadne2.isti.cnr.it/../../data/transform/test/ACDM_ORIGINAL_DATASETS/ZRC</BASE_URL>
+					<INTERFACE_EXTRA_FIELD name="metadata_identifier_path">//*[local-name()='ariadneArchaeologicalResource']/*/*[local-name()='originalId'][1]</INTERFACE_EXTRA_FIELD>
+				</INTERFACE>
+
 			</INTERFACES>
 			<EXTRA_FIELDS>
 				<FIELD>