Index: modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/D14_Software.sparql
===================================================================
--- modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/D14_Software.sparql	(revision 51645)
+++ modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/D14_Software.sparql	(revision 51646)
@@ -2,11 +2,6 @@
 
 DEFINE input:inference 'parthenos_rules'
 
-PREFIX crm: <http://www.cidoc-crm.org/cidoc-crm/>
-PREFIX crmdig: <http://www.ics.forth.gr/isl/CRMdig/>
-PREFIX crmpe: <http://parthenos.d4science.org/CRMext/CRMpe.rdfs/>
-PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
-
 CONSTRUCT {
 	<${subjectURL}> crm:P1_is_identified_by ?title .
 	<${subjectURL}> crm:P3_has_note ?description .
Index: modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE18_Dataset.sparql
===================================================================
--- modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE18_Dataset.sparql	(revision 51645)
+++ modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE18_Dataset.sparql	(revision 51646)
@@ -2,11 +2,6 @@
 
 DEFINE input:inference 'parthenos_rules'
 
-PREFIX crm: <http://www.cidoc-crm.org/cidoc-crm/>
-PREFIX crmdig: <http://www.ics.forth.gr/isl/CRMdig/>
-PREFIX crmpe: <http://parthenos.d4science.org/CRMext/CRMpe.rdfs/>
-PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
-
 CONSTRUCT {
 	<${subjectURL}> crm:P1_is_identified_by ?title .
 	<${subjectURL}> crm:P3_has_note ?description .
Index: modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE35_Project.sparql
===================================================================
--- modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE35_Project.sparql	(revision 51645)
+++ modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE35_Project.sparql	(revision 51646)
@@ -1,10 +1,5 @@
 DEFINE input:inference 'parthenos_rules'
 
-PREFIX crm: <http://www.cidoc-crm.org/cidoc-crm/>
-PREFIX crmdig: <http://www.ics.forth.gr/isl/CRMdig/>
-PREFIX crmpe: <http://parthenos.d4science.org/CRMext/CRMpe.rdfs/>
-PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
-
 CONSTRUCT {
  <${subjectURL}> crm:P1_is_identified_by ?title .
  <${subjectURL}> crm:P3_has_note ?description .
Index: modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE1_Service.sparql
===================================================================
--- modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE1_Service.sparql	(revision 51645)
+++ modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE1_Service.sparql	(revision 51646)
@@ -1,10 +1,5 @@
 DEFINE input:inference 'parthenos_rules'
 
-PREFIX crm: <http://www.cidoc-crm.org/cidoc-crm/>
-PREFIX crmdig: <http://www.ics.forth.gr/isl/CRMdig/>
-PREFIX crmpe: <http://parthenos.d4science.org/CRMext/CRMpe.rdfs/>
-PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
-
 CONSTRUCT {
 <${subjectURL}> crm:P1_is_identified_by ?title .
 <${subjectURL}> crm:P3_has_note ?description .
Index: modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/E39_Actor.sparql
===================================================================
--- modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/E39_Actor.sparql	(revision 51645)
+++ modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/E39_Actor.sparql	(revision 51646)
@@ -1,10 +1,5 @@
 DEFINE input:inference 'parthenos_rules'
 
-PREFIX crm: <http://www.cidoc-crm.org/cidoc-crm/>
-PREFIX crmdig: <http://www.ics.forth.gr/isl/CRMdig/>
-PREFIX crmpe: <http://parthenos.d4science.org/CRMext/CRMpe.rdfs/>
-PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
-
 CONSTRUCT {
 <${subjectURL}> crm:P1_is_identified_by ?title .
 <${subjectURL}> crm:P3_has_note ?description .
Index: modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE28_Curation_Plan.sparql
===================================================================
--- modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE28_Curation_Plan.sparql	(revision 51645)
+++ modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE28_Curation_Plan.sparql	(revision 51646)
@@ -1,10 +1,5 @@
 DEFINE input:inference 'parthenos_rules'
 
-PREFIX crm: <http://www.cidoc-crm.org/cidoc-crm/>
-PREFIX crmdig: <http://www.ics.forth.gr/isl/CRMdig/>
-PREFIX crmpe: <http://parthenos.d4science.org/CRMext/CRMpe.rdfs/>
-PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
-
 CONSTRUCT {
 <${subjectURL}> crm:P1_is_identified_by ?title .
 <${subjectURL}> crm:P3_has_note ?description .