Index: modules/dnet-parthenos-publisher/trunk/dnet-parthenos-publisher.iml
===================================================================
--- modules/dnet-parthenos-publisher/trunk/dnet-parthenos-publisher.iml	(revision 52227)
+++ modules/dnet-parthenos-publisher/trunk/dnet-parthenos-publisher.iml	(revision 52228)
@@ -33,28 +33,29 @@
     <orderEntry type="library" name="Maven: net.sf.saxon:Saxon-HE:9.5.1-5" level="project" />
     <orderEntry type="library" name="Maven: virtuoso:jena-driver:3.0" level="project" />
     <orderEntry type="library" name="Maven: openlink:virtuoso-jdbc:4.0" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.jena:jena-arq:3.6.0" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.jena:jena-shaded-guava:3.6.0" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.jena:jena-arq:3.7.0" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.jena:jena-shaded-guava:3.7.0" level="project" />
     <orderEntry type="library" name="Maven: com.github.jsonld-java:jsonld-java:0.11.1" level="project" />
     <orderEntry type="library" name="Maven: org.apache.httpcomponents:httpclient-cache:4.5.3" level="project" />
     <orderEntry type="library" name="Maven: org.apache.thrift:libthrift:0.10.0" level="project" />
     <orderEntry type="library" name="Maven: org.apache.commons:commons-lang3:3.4" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.jena:jena-core:3.6.0" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.jena:jena-iri:3.6.0" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.jena:jena-core:3.7.0" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.jena:jena-iri:3.7.0" level="project" />
     <orderEntry type="library" name="Maven: xerces:xercesImpl:2.11.0" level="project" />
     <orderEntry type="library" name="Maven: xml-apis:xml-apis:1.4.01" level="project" />
     <orderEntry type="library" name="Maven: commons-cli:commons-cli:1.4" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.jena:jena-base:3.6.0" level="project" />
+    <orderEntry type="library" name="Maven: commons-codec:commons-codec:1.10" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.jena:jena-base:3.7.0" level="project" />
     <orderEntry type="library" name="Maven: org.apache.commons:commons-csv:1.5" level="project" />
     <orderEntry type="library" name="Maven: com.github.andrewoma.dexx:collection:0.7" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.jena:jena-tdb:3.6.0" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.jena:jena-rdfconnection:3.6.0" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.jena:jena-cmds:3.6.0" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.jena:jena-tdb2:3.6.0" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.jena:jena-dboe-trans-data:3.6.0" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.jena:jena-dboe-transaction:3.6.0" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.jena:jena-dboe-base:3.6.0" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.jena:jena-dboe-index:3.6.0" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.jena:jena-tdb:3.7.0" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.jena:jena-rdfconnection:3.7.0" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.jena:jena-cmds:3.7.0" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.jena:jena-tdb2:3.7.0" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.jena:jena-dboe-trans-data:3.7.0" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.jena:jena-dboe-transaction:3.7.0" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.jena:jena-dboe-base:3.7.0" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.jena:jena-dboe-index:3.7.0" level="project" />
     <orderEntry type="library" name="Maven: log4j:log4j:1.2.17" level="project" />
     <orderEntry type="library" name="Maven: org.slf4j:slf4j-api:1.7.25" level="project" />
     <orderEntry type="library" scope="TEST" name="Maven: org.springframework.boot:spring-boot-starter-test:1.5.6.RELEASE" level="project" />
@@ -115,16 +116,15 @@
     <orderEntry type="library" name="Maven: com.fasterxml.jackson.core:jackson-annotations:2.8.0" level="project" />
     <orderEntry type="library" name="Maven: com.fasterxml.jackson.core:jackson-core:2.8.9" level="project" />
     <orderEntry type="library" name="Maven: org.gcube.information-system:resource-registry-publisher:1.6.0-SNAPSHOT" level="project" />
-    <orderEntry type="library" name="Maven: org.gcube.common:authorization-client:2.0.2-SNAPSHOT" level="project" />
-    <orderEntry type="library" name="Maven: org.gcube.common:common-authorization:2.1.1-SNAPSHOT" level="project" />
-    <orderEntry type="library" name="Maven: org.gcube.core:common-configuration-scanner:1.1.0-SNAPSHOT" level="project" />
-    <orderEntry type="library" name="Maven: org.aspectj:aspectjrt:1.8.10" level="project" />
-    <orderEntry type="library" name="Maven: org.gcube.resources.discovery:ic-client:1.0.4-4.10.0-162683" level="project" />
-    <orderEntry type="library" name="Maven: org.gcube.core:common-scope:1.2.0-4.10.0-125717" level="project" />
-    <orderEntry type="library" name="Maven: org.gcube.core:common-scope-maps:1.0.7-4.10.0-150560" level="project" />
-    <orderEntry type="library" name="Maven: org.gcube.resources.discovery:discovery-client:1.0.1-4.10.0-125857" level="project" />
-    <orderEntry type="library" name="Maven: org.gcube.resources:common-gcore-resources:1.3.4-4.10.0-162605" level="project" />
-    <orderEntry type="library" name="Maven: org.gcube.core:common-gcore-stubs:1.2.2-4.10.0-132342" level="project" />
+    <orderEntry type="library" name="Maven: org.gcube.common:authorization-client:2.0.2-4.11.1-164657" level="project" />
+    <orderEntry type="library" name="Maven: org.gcube.common:common-authorization:2.0.2-4.11.1-144378" level="project" />
+    <orderEntry type="library" name="Maven: org.gcube.core:common-configuration-scanner:1.0.0-4.11.1-144261" level="project" />
+    <orderEntry type="library" name="Maven: org.gcube.resources.discovery:ic-client:1.0.4-4.11.1-162683" level="project" />
+    <orderEntry type="library" name="Maven: org.gcube.core:common-scope:1.2.0-4.11.1-125717" level="project" />
+    <orderEntry type="library" name="Maven: org.gcube.core:common-scope-maps:1.0.7-4.11.1-150560" level="project" />
+    <orderEntry type="library" name="Maven: org.gcube.resources.discovery:discovery-client:1.0.1-4.11.1-125857" level="project" />
+    <orderEntry type="library" name="Maven: org.gcube.resources:common-gcore-resources:1.3.4-4.11.1-162605" level="project" />
+    <orderEntry type="library" name="Maven: org.gcube.core:common-gcore-stubs:1.2.2-4.11.1-132342" level="project" />
     <orderEntry type="library" name="Maven: org.gcube.information-system:resource-registry-api:1.8.0-SNAPSHOT" level="project" />
     <orderEntry type="library" name="Maven: org.gcube.information-system:resource-registry-client:1.6.0-SNAPSHOT" level="project" />
     <orderEntry type="library" name="Maven: com.google.guava:guava:23.3-jre" level="project" />
Index: modules/dnet-parthenos-publisher/trunk/src/main/java/eu/dnetlib/parthenos/rdf/ResourceReader.java
===================================================================
--- modules/dnet-parthenos-publisher/trunk/src/main/java/eu/dnetlib/parthenos/rdf/ResourceReader.java	(revision 52227)
+++ modules/dnet-parthenos-publisher/trunk/src/main/java/eu/dnetlib/parthenos/rdf/ResourceReader.java	(revision 52228)
@@ -41,12 +41,12 @@
 
 
 	public String getTitle(final Resource resource) {
-		final Statement s = resource.getProperty(CRM.P1_is_identified_by);
+		final Statement s = resource.getProperty(CRM.P102_has_title);
 		if (s != null) {
 			RDFNode obj = s.getObject();
 			if(obj.isLiteral()) return obj.asLiteral().getLexicalForm();
 		}
-		//if we do not find the P1_is_identified_by, let's get the label
+		//if we do not find the crm:P102_has_title, let's get the label
 		return getLabel(resource);
 	}
 
Index: modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/E78_Collection.sparql
===================================================================
--- modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/E78_Collection.sparql	(revision 52227)
+++ modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/E78_Collection.sparql	(revision 52228)
@@ -5,7 +5,7 @@
 ?IDRes a crm:E42_Identifier .
 ?IDRes rdfs:label ?ID_label .
 
-	<${subjectURL}> crm:P1_is_identified_by ?title .
+	<${subjectURL}> crm:P102_has_title ?title .
 	<${subjectURL}> crm:P3_has_note ?description .
 	<${subjectURL}> a ?type .
     <${subjectURL}> rdfs:label ?label .
Index: modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/D14_Software.sparql
===================================================================
--- modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/D14_Software.sparql	(revision 52227)
+++ modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/D14_Software.sparql	(revision 52228)
@@ -7,7 +7,7 @@
 	?IDRes a crm:E42_Identifier .
 	?IDRes rdfs:label ?ID_label .
 
-	<${subjectURL}> crm:P1_is_identified_by ?title .
+	<${subjectURL}> crm:P102_has_title ?title .
 	<${subjectURL}> crm:P3_has_note ?description .
 	<${subjectURL}> a ?type .
     <${subjectURL}> rdfs:label ?label .
Index: modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE18_Dataset.sparql
===================================================================
--- modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE18_Dataset.sparql	(revision 52227)
+++ modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE18_Dataset.sparql	(revision 52228)
@@ -7,7 +7,7 @@
 	?IDRes a crm:E42_Identifier .
 	?IDRes rdfs:label ?ID_label .
 
-	<${subjectURL}> crm:P1_is_identified_by ?title .
+	<${subjectURL}> crm:P102_has_title ?title .
 	<${subjectURL}> crm:P3_has_note ?description .
 	<${subjectURL}> a ?type .
     <${subjectURL}> rdfs:label ?label .
Index: modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE35_Project.sparql
===================================================================
--- modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE35_Project.sparql	(revision 52227)
+++ modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE35_Project.sparql	(revision 52228)
@@ -7,7 +7,7 @@
 ?IDRes a crm:E42_Identifier .
 ?IDRes rdfs:label ?ID_label .
 
- <${subjectURL}> crm:P1_is_identified_by ?title .
+<${subjectURL}> crm:P102_has_title ?title .
 
  <${subjectURL}> crm:P3_has_note ?description .
 
Index: modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE1_Service.sparql
===================================================================
--- modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE1_Service.sparql	(revision 52227)
+++ modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE1_Service.sparql	(revision 52228)
@@ -5,7 +5,7 @@
 ?IDRes a crm:E42_Identifier .
 ?IDRes rdfs:label ?ID_label .
 
-<${subjectURL}> crm:P1_is_identified_by ?title .
+<${subjectURL}> crm:P102_has_title ?title .
 <${subjectURL}> crm:P3_has_note ?description .
 <${subjectURL}> rdfs:label ?label .
 <${subjectURL}> a ?type .
Index: modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/E39_Actor.sparql
===================================================================
--- modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/E39_Actor.sparql	(revision 52227)
+++ modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/E39_Actor.sparql	(revision 52228)
@@ -9,7 +9,7 @@
 ?IDRes a crm:E42_Identifier .
 ?IDRes rdfs:label ?ID_label .
 
-<${subjectURL}> crm:P1_is_identified_by ?title .
+<${subjectURL}> crm:P102_has_title ?title .
 <${subjectURL}> crm:P3_has_note ?description .
 
 <${subjectURL}> crm:P76_has_contact_point ?contactpoint .
Index: modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE28_Curation_Plan.sparql
===================================================================
--- modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE28_Curation_Plan.sparql	(revision 52227)
+++ modules/dnet-parthenos-publisher/trunk/src/main/resources/eu/dnetlib/parthenos/sparql/PE28_Curation_Plan.sparql	(revision 52228)
@@ -5,7 +5,7 @@
 ?IDRes a crm:E42_Identifier .
 ?IDRes rdfs:label ?ID_label .
 
-<${subjectURL}> crm:P1_is_identified_by ?title .
+<${subjectURL}> crm:P102_has_title ?title .
 <${subjectURL}> crm:P3_has_note ?description .
 <${subjectURL}> a ?type .
 <${subjectURL}> rdfs:label ?label .