Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/metashare_439_mapping.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/metashare_439_mapping.xml	(revision 52908)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/metashare_439_mapping.xml	(revision 52909)
@@ -10,7 +10,7 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>METASHARE 439 Mapping 2018-04-08</TITLE>
+				<TITLE>METASHARE 439 Mapping 2018-07-30</TITLE>
 				<CODE><![CDATA[<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.2" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.0.xsd">
     <info>
         <title>Metashare  -&gt; PE  Mapping File Official</title>
@@ -72,7 +72,7 @@
             <example_data_from/>
             <example_data_contact_person/>
             <example_data_source_record xml_link="metashare___17-10-2017121752___12665.xml"/>
-            <generator_policy_info generator_link="PARTHENOS-GeneratorPolicy_v1.3___03-10-2017173214___13642.xml"/>
+            <generator_policy_info generator_link="PARTHENOS-GeneratorPolicy_v1.5___24-07-2018130411___9342.xml"/>
             <example_data_target_record rdf_link="Mapping439.ttl"/>
         </example_data_info>
     </info>
@@ -443,9 +443,10 @@
                     <target_node>
                         <entity>
                             <type>crm:E55_Type</type>
-                            <instance_generator name="ConceptURI_2step">
+                            <instance_generator name="ConceptURI_3step">
                                 <arg name="term" type="constant">righttype</arg>
-                                <arg name="term1" type="xpath">text()</arg>
+                                <arg name="term1" type="constant">license</arg>
+                                <arg name="term2" type="xpath">text()</arg>
                             </instance_generator>
                             <label_generator name="SimpleLabel">
                                 <arg name="label" type="xpath">text()</arg>
@@ -1117,7 +1118,7 @@
                                 <instance_info>
                                     <constant>http://parthenos.d4science.org/handle/Parthenos/REG/Dataset/Metashare%20Dataset</constant>
                                 </instance_info>
-                                <instance_generator name="Constant">
+                                <instance_generator name="URIorUUID">
                                     <arg name="text" type="constant">http://parthenos.d4science.org/handle/Parthenos/REG/Dataset/Metashare%20Dataset</arg>
                                 </instance_generator>
                             </entity>
@@ -1560,6 +1561,9 @@
                         <relation>ms:communicationInfo/ms:city</relation>
                     </source_relation>
                     <target_relation>
+                        <if>
+                            <exists>text()</exists>
+                        </if>
                         <relationship>crm:P53_has_former_or_current_location</relationship>
                     </target_relation>
                 </path>
@@ -1574,6 +1578,22 @@
                             <label_generator name="SimpleLabel">
                                 <arg name="label" type="xpath">text()</arg>
                             </label_generator>
+                            <additional>
+                                <relationship>crm:P2_has_type</relationship>
+                                <entity>
+                                    <type>crm:E55_Type</type>
+                                    <instance_info>
+                                        <constant>City</constant>
+                                    </instance_info>
+                                    <instance_generator name="ConceptURI_2step">
+                                        <arg name="term" type="constant">placetype</arg>
+                                        <arg name="term1" type="constant">city</arg>
+                                    </instance_generator>
+                                    <label_generator name="SimpleLabel">
+                                        <arg name="label" type="constant">City</arg>
+                                    </label_generator>
+                                </entity>
+                            </additional>
                         </entity>
                     </target_node>
                 </range>
@@ -1584,10 +1604,15 @@
                         <relation>ms:communicationInfo/ms:region</relation>
                     </source_relation>
                     <target_relation>
+                        <if>
+                            <exists>text()</exists>
+                        </if>
                         <relationship>crm:P53_has_former_or_current_location</relationship>
                         <entity variable="place1">
                             <type>crm:E53_Place</type>
-                            <instance_generator name="UUID"/>
+                            <instance_generator name="PlaceURI">
+                                <arg name="term" type="xpath">../ms:city/text()</arg>
+                            </instance_generator>
                         </entity>
                         <relationship>crm:P89_falls_within</relationship>
                     </target_relation>
@@ -1603,6 +1628,22 @@
                             <label_generator name="SimpleLabel">
                                 <arg name="label" type="xpath">text()</arg>
                             </label_generator>
+                            <additional>
+                                <relationship>crm:P2_has_type</relationship>
+                                <entity>
+                                    <type>crm:E55_Type</type>
+                                    <instance_info>
+                                        <constant>Region</constant>
+                                    </instance_info>
+                                    <instance_generator name="ConceptURI_2step">
+                                        <arg name="term" type="constant">placetype</arg>
+                                        <arg name="term1" type="constant">region</arg>
+                                    </instance_generator>
+                                    <label_generator name="SimpleLabel">
+                                        <arg name="label" type="constant">Region</arg>
+                                    </label_generator>
+                                </entity>
+                            </additional>
                         </entity>
                     </target_node>
                 </range>
@@ -1613,15 +1654,22 @@
                         <relation>ms:communicationInfo/ms:country</relation>
                     </source_relation>
                     <target_relation>
+                        <if>
+                            <exists>../ms:region/text()</exists>
+                        </if>
                         <relationship>crm:P53_has_former_or_current_location</relationship>
                         <entity variable="place1">
                             <type>crm:E53_Place</type>
-                            <instance_generator name="UUID"/>
+                            <instance_generator name="PlaceURI">
+                                <arg name="term" type="xpath">../ms:city/text()</arg>
+                            </instance_generator>
                         </entity>
                         <relationship>crm:P89_falls_within</relationship>
                         <entity variable="place2">
                             <type>crm:E53_Place</type>
-                            <instance_generator name="UUID"/>
+                            <instance_generator name="PlaceURI">
+                                <arg name="term" type="xpath">../ms:region/text()</arg>
+                            </instance_generator>
                         </entity>
                         <relationship>crm:P89_falls_within</relationship>
                     </target_relation>
@@ -1637,6 +1685,22 @@
                             <label_generator name="SimpleLabel">
                                 <arg name="label" type="xpath">text()</arg>
                             </label_generator>
+                            <additional>
+                                <relationship>crm:P2_has_type</relationship>
+                                <entity>
+                                    <type>crm:E55_Type</type>
+                                    <instance_info>
+                                        <constant>Country</constant>
+                                    </instance_info>
+                                    <instance_generator name="ConceptURI_2step">
+                                        <arg name="term" type="constant">placetype</arg>
+                                        <arg name="term1" type="constant">country</arg>
+                                    </instance_generator>
+                                    <label_generator name="SimpleLabel">
+                                        <arg name="label" type="constant">Country</arg>
+                                    </label_generator>
+                                </entity>
+                            </additional>
                         </entity>
                     </target_node>
                 </range>
@@ -1644,6 +1708,60 @@
             <link>
                 <path>
                     <source_relation>
+                        <relation>ms:communicationInfo/ms:country</relation>
+                    </source_relation>
+                    <target_relation>
+                        <if>
+                            <not>
+                                <if>
+                                    <exists>../ms:region/text()</exists>
+                                </if>
+                            </not>
+                        </if>
+                        <relationship>crm:P53_has_former_or_current_location</relationship>
+                        <entity variable="place1">
+                            <type>crm:E53_Place</type>
+                            <instance_generator name="PlaceURI">
+                                <arg name="term" type="xpath">../ms:city/text()</arg>
+                            </instance_generator>
+                        </entity>
+                        <relationship>crm:P89_falls_within</relationship>
+                    </target_relation>
+                </path>
+                <range>
+                    <source_node>ms:communicationInfo/ms:country</source_node>
+                    <target_node>
+                        <entity>
+                            <type>crm:E53_Place</type>
+                            <instance_generator name="PlaceURI">
+                                <arg name="term" type="xpath">text()</arg>
+                            </instance_generator>
+                            <label_generator name="SimpleLabel">
+                                <arg name="label" type="xpath">text()</arg>
+                            </label_generator>
+                            <additional>
+                                <relationship>crm:P2_has_type</relationship>
+                                <entity>
+                                    <type>crm:E55_Type</type>
+                                    <instance_info>
+                                        <constant>Country</constant>
+                                    </instance_info>
+                                    <instance_generator name="ConceptURI_2step">
+                                        <arg name="term" type="constant">placetype</arg>
+                                        <arg name="term1" type="constant">country</arg>
+                                    </instance_generator>
+                                    <label_generator name="SimpleLabel">
+                                        <arg name="label" type="constant">Country</arg>
+                                    </label_generator>
+                                </entity>
+                            </additional>
+                        </entity>
+                    </target_node>
+                </range>
+            </link>
+            <link>
+                <path>
+                    <source_relation>
                         <relation>ms:communicationInfo/ms:telephoneNumber</relation>
                     </source_relation>
                     <target_relation>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/dariah-DE_417_mapping.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/dariah-DE_417_mapping.xml	(revision 52908)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/dariah-DE_417_mapping.xml	(revision 52909)
@@ -10,7 +10,7 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>DARIAH-DE 417 Mapping 2018-04-14</TITLE>
+				<TITLE>DARIAH-DE 417 Mapping 2018-07-05</TITLE>
 				<CODE> <![CDATA[
 				<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.2" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="file:///C:/Users/samarita/Desktop/schema/x3ml.xsd">
     <info>
@@ -67,8 +67,8 @@
             <example_data_from>Dariah DE</example_data_from>
             <example_data_contact_person/>
             <example_data_source_record xml_link="dariahDE___14-07-2017013730___8446.xml"/>
-            <generator_policy_info generator_link="PARTHENOS-GeneratorPolicy___15-03-2017144440___5286.xml"/>
-            <example_data_target_record/>
+            <generator_policy_info generator_link="PARTHENOS-GeneratorPolicy_v1.4___17-05-2018010636___9353.xml"/>
+            <example_data_target_record rdf_link="Mapping417.ttl"/>
         </example_data_info>
     </info>
     <namespaces>
@@ -75,10 +75,11 @@
         <namespace prefix="dc" uri="http://purl.org/dc/elements/1.1/"/>
         <namespace prefix="dcterms" uri="http://purl.org/dc/terms/"/>
         <namespace prefix="marcrel" uri="http://id.loc.gov/vocabulary/relators/"/>
-        <namespace prefix="academy" uri="http://www.academyofathens.gr/"/>
         <namespace prefix="crmpe" uri="http://www.ics.forth.gr/isl/CRMext/CRMpe.rdfs/"/>
         <namespace prefix="cld" uri="http://purl.org/cld/terms/"/>
         <namespace prefix="parthenos" uri="http://pathenos.d4science.org/handle/DariahDE/"/>
+        <namespace prefix="dcddm" uri="http://schema.dariah.eu/colreg/dcddm/"/>
+        <namespace prefix="reg" uri="http://parthenos.d4science.org/handle/Parthenos/REG/"/>
     </namespaces>
     <mappings>
         <mapping>
@@ -92,8 +93,8 @@
                             <arg name="term" type="xpath">id/text()</arg>
                         </instance_generator>
                         <label_generator name="CompositeLabel">
-                            <arg name="label" type="constant">collection</arg>
-                            <arg name="text" type="xpath">id/text()</arg>
+                            <arg name="label" type="constant">Collection: </arg>
+                            <arg name="text" type="xpath">localizedDescriptions/localizedDescriptions/title/text()</arg>
                         </label_generator>
                     </entity>
                 </target_node>
@@ -136,7 +137,7 @@
                     <target_node>
                         <entity>
                             <type>crm:E56_Language</type>
-                            <instance_generator name="ThingURI">
+                            <instance_generator name="ConceptURI">
                                 <arg name="term" type="xpath">text()</arg>
                             </instance_generator>
                             <label_generator name="SimpleLabel">
@@ -160,7 +161,7 @@
                     <target_node>
                         <entity>
                             <type>crm:E55_Type</type>
-                            <instance_generator name="ThingURI">
+                            <instance_generator name="ConceptURI">
                                 <arg name="term" type="xpath">text()</arg>
                             </instance_generator>
                             <label_generator name="SimpleLabel">
@@ -198,21 +199,15 @@
                     </source_relation>
                     <target_relation>
                         <relationship>crm:P108i_was_produced_by</relationship>
-                        <entity>
+                        <entity variable="pro1">
                             <type>crm:E12_Production</type>
                             <instance_generator name="UUID"/>
-                            <label_generator name="SimpleLabel">
-                                <arg name="label" type="xpath">text()</arg>
+                            <label_generator name="CompositeLabel">
+                                <arg name="label" type="constant">Production of Collection</arg>
+                                <arg name="text" type="xpath">../localizedDescriptions/localizedDescriptions/title/text()</arg>
                             </label_generator>
                         </entity>
                         <relationship>crm:P14_carried_out_by</relationship>
-                        <entity>
-                            <type>crm:E39_Actor</type>
-                            <instance_generator name="ActorURI">
-                                <arg name="term" type="xpath">text()</arg>
-                            </instance_generator>
-                        </entity>
-                        <relationship>crm:P1_is_identified_by</relationship>
                     </target_relation>
                 </path>
                 <range>
@@ -219,8 +214,8 @@
                     <source_node>entityCreator</source_node>
                     <target_node>
                         <entity>
-                            <type>crm:E41_Appellation</type>
-                            <instance_generator name="ActorAppellationURI">
+                            <type>crm:E39_Actor</type>
+                            <instance_generator name="ActorURI">
                                 <arg name="term" type="xpath">text()</arg>
                             </instance_generator>
                             <label_generator name="SimpleLabel">
@@ -268,10 +263,11 @@
                     <target_node>
                         <entity>
                             <type>crm:E53_Place</type>
-                            <instance_generator name="UUID"/>
-                            <label_generator name="CompositeLabel">
-                                <arg name="label" type="constant">Geographical context related to the collection</arg>
-                                <arg name="text" type="xpath">text()</arg>
+                            <instance_generator name="PlaceURI">
+                                <arg name="term" type="xpath">text()</arg>
+                            </instance_generator>
+                            <label_generator name="SimpleLabel">
+                                <arg name="label" type="xpath">text()</arg>
                             </label_generator>
                         </entity>
                     </target_node>
@@ -284,6 +280,15 @@
                     </source_relation>
                     <target_relation>
                         <relationship>crm:P129_is_about</relationship>
+                        <entity>
+                            <type>crm:E52_Time-Span</type>
+                            <instance_generator name="UUID"/>
+                            <label_generator name="CompositeLabel">
+                                <arg name="label" type="constant">Time Span of Reference for Collection</arg>
+                                <arg name="text" type="xpath">../../localizedDescriptions/localizedDescriptions/title/text()</arg>
+                            </label_generator>
+                        </entity>
+                        <relationship>crm:P82_at_some_time_within</relationship>
                     </target_relation>
                 </path>
                 <range>
@@ -290,12 +295,10 @@
                     <source_node>temporals/temporals</source_node>
                     <target_node>
                         <entity>
-                            <type>crm:E52_Time-Span</type>
-                            <instance_generator name="UUID"/>
-                            <label_generator name="CompositeLabel">
-                                <arg name="label" type="constant">Historical context or period related to the collection</arg>
+                            <type>http://www.w3.org/2000/01/rdf-schema#Literal</type>
+                            <instance_generator name="Literal">
                                 <arg name="text" type="xpath">text()</arg>
-                            </label_generator>
+                            </instance_generator>
                         </entity>
                     </target_node>
                 </range>
@@ -307,12 +310,12 @@
                     </source_relation>
                     <target_relation>
                         <relationship>crm:P108i_was_produced_by</relationship>
-                        <entity>
+                        <entity variable="pro1">
                             <type>crm:E12_Production</type>
                             <instance_generator name="UUID"/>
                             <label_generator name="CompositeLabel">
-                                <arg name="label" type="constant">creation of the collection</arg>
-                                <arg name="text" type="xpath">text()</arg>
+                                <arg name="label" type="constant">Production of Collection</arg>
+                                <arg name="text" type="xpath">../localizedDescriptions/localizedDescriptions/title/text()</arg>
                             </label_generator>
                         </entity>
                         <relationship>crm:P4_has_time-span</relationship>
@@ -319,8 +322,9 @@
                         <entity>
                             <type>crm:E52_Time-Span</type>
                             <instance_generator name="UUID"/>
-                            <label_generator name="SimpleLabel">
-                                <arg name="label" type="xpath">text()</arg>
+                            <label_generator name="CompositeLabel">
+                                <arg name="label" type="constant">Time Span of Production of Collection</arg>
+                                <arg name="text" type="xpath">../localizedDescriptions/localizedDescriptions/title/text()</arg>
                             </label_generator>
                         </entity>
                         <relationship>crm:P82_at_some_time_within</relationship>
@@ -341,34 +345,6 @@
             <link>
                 <path>
                     <source_relation>
-                        <relation>hosting</relation>
-                    </source_relation>
-                    <target_relation>
-                        <relationship>crmpe:PP4i_is_object_hosted_by</relationship>
-                        <entity>
-                            <type>crmpe:PE2_Hosting_Service</type>
-                            <instance_generator name="ServiceURI">
-                                <arg name="term" type="xpath">text()</arg>
-                            </instance_generator>
-                        </entity>
-                        <relationship>crm:P7_took_place_at</relationship>
-                    </target_relation>
-                </path>
-                <range>
-                    <source_node>locations/locations/place</source_node>
-                    <target_node>
-                        <entity>
-                            <type>crm:E53_Place</type>
-                            <instance_generator name="PlaceURI">
-                                <arg name="term" type="xpath">text()</arg>
-                            </instance_generator>
-                        </entity>
-                    </target_node>
-                </range>
-            </link>
-            <link>
-                <path>
-                    <source_relation>
                         <relation>collectionDescriptionRights</relation>
                     </source_relation>
                     <target_relation>
@@ -383,49 +359,42 @@
                             <instance_generator name="ThingURI">
                                 <arg name="term" type="xpath">text()</arg>
                             </instance_generator>
+                            <label_generator name="SimpleLabel">
+                                <arg name="label" type="xpath">text()</arg>
+                            </label_generator>
                         </entity>
                     </target_node>
                 </range>
             </link>
-        </mapping>
-        <mapping>
-            <domain>
-                <source_node>/Collection/hosting</source_node>
-                <target_node>
-                    <entity>
-                        <type>crmpe:PE2_Hosting_Service</type>
-                        <instance_generator name="ServiceURI">
-                            <arg name="term" type="xpath">text()</arg>
-                        </instance_generator>
-                    </entity>
-                </target_node>
-            </domain>
             <link>
                 <path>
                     <source_relation>
-                        <relation>/Collection/institute</relation>
+                        <relation>institute</relation>
                     </source_relation>
                     <target_relation>
+                        <relationship>crmpe:PP4i_is_object_hosted_by</relationship>
+                        <entity variable="hostser1">
+                            <type>crmpe:PE2_Hosting_Service</type>
+                            <instance_generator name="UUID"/>
+                            <label_generator name="CompositeLabel">
+                                <arg name="label" type="constant">Hosting of Collection</arg>
+                                <arg name="text" type="xpath">../localizedDescriptions/localizedDescriptions/title/text()</arg>
+                            </label_generator>
+                        </entity>
                         <relationship>crmpe:PP2_provided_by</relationship>
-                        <entity>
-                            <type>crm:E40_Legal_Body</type>
-                            <instance_generator name="ActorURI">
-                                <arg name="term" type="xpath">text()</arg>
-                            </instance_generator>
-                        </entity>
-                        <relationship>crm:P76_has_contact_point</relationship>
                     </target_relation>
                 </path>
                 <range>
-                    <source_node>/Collection/email</source_node>
+                    <source_node>institute</source_node>
                     <target_node>
-                        <entity>
-                            <type>crm:E51_Contact_Point</type>
-                            <instance_generator name="TwoLevelCustomURI">
-                                <arg name="level1" type="constant">Thing</arg>
-                                <arg name="level2" type="constant">Appellation</arg>
+                        <entity variable="host1">
+                            <type>crm:E40_Legal_Body</type>
+                            <instance_generator name="ActorURI">
                                 <arg name="term" type="xpath">text()</arg>
                             </instance_generator>
+                            <label_generator name="SimpleLabel">
+                                <arg name="label" type="xpath">text()</arg>
+                            </label_generator>
                         </entity>
                     </target_node>
                 </range>
@@ -433,22 +402,14 @@
             <link>
                 <path>
                     <source_relation>
-                        <relation>/Collection/webPage</relation>
+                        <relation>webPage</relation>
                     </source_relation>
                     <target_relation>
-                        <relationship>crmpe:PP2_provided_by</relationship>
-                        <entity>
-                            <type>crm:E40_Legal_Body</type>
-                            <instance_generator name="UUID"/>
-                            <label_generator name="SimpleLabel">
-                                <arg name="label" type="xpath">text()</arg>
-                            </label_generator>
-                        </entity>
-                        <relationship>crm:P76_has_contact_point</relationship>
+                        <relationship>crm:P1_is_identified_by</relationship>
                     </target_relation>
                 </path>
                 <range>
-                    <source_node>/Collection/webPage</source_node>
+                    <source_node>webPage</source_node>
                     <target_node>
                         <entity>
                             <type>crmpe:PE29_Access_Point</type>
@@ -459,81 +420,46 @@
                     </target_node>
                 </range>
             </link>
-        </mapping>
-        <mapping>
-            <domain>
-                <source_node>/Collection/locations/locations/place</source_node>
-                <target_node>
-                    <entity>
-                        <type>crm:E53_Place</type>
-                        <instance_generator name="PlaceURI">
-                            <arg name="term" type="xpath">text()</arg>
-                        </instance_generator>
-                    </entity>
-                </target_node>
-            </domain>
             <link>
                 <path>
                     <source_relation>
-                        <relation>locations/locations/street</relation>
+                        <relation>locations/locations</relation>
                     </source_relation>
                     <target_relation>
-                        <relationship>crm:P1_is_identified_by</relationship>
-                    </target_relation>
-                </path>
-                <range>
-                    <source_node>locations/locations/street</source_node>
-                    <target_node>
-                        <entity>
-                            <type>crm:E45_Address</type>
-                            <instance_generator name="OneLevelCustomURI">
-                                <arg name="level1" type="constant">thingappellation</arg>
-                                <arg name="term" type="xpath">text()</arg>
-                            </instance_generator>
+                        <relationship>crmpe:PP4i_is_object_hosted_by</relationship>
+                        <entity variable="hostser1">
+                            <type>crmpe:PE2_Hosting_Service</type>
+                            <instance_generator name="UUID"/>
                         </entity>
-                    </target_node>
-                </range>
-            </link>
-            <link>
-                <path>
-                    <source_relation>
-                        <relation>locations/locations/number</relation>
-                    </source_relation>
-                    <target_relation>
-                        <relationship>crm:P1_is_identified_by</relationship>
-                    </target_relation>
-                </path>
-                <range>
-                    <source_node>locations/locations/number</source_node>
-                    <target_node>
+                        <relationship>crmpe:PP2_provided_by</relationship>
+                        <entity variable="host1">
+                            <type>crm:E40_Legal_Body</type>
+                            <instance_generator name="UUID"/>
+                        </entity>
+                        <relationship>crm:P74_has_current_or_former_residence</relationship>
                         <entity>
-                            <type>crm:E51_Contact_Point</type>
-                            <instance_generator name="OneLevelCustomURI">
-                                <arg name="level1" type="constant">street number</arg>
-                                <arg name="term" type="xpath">text()</arg>
-                            </instance_generator>
+                            <type>crm:E53_Place</type>
+                            <instance_generator name="UUID"/>
+                            <label_generator name="CompositeLabel">
+                                <arg name="label" type="constant">Site of </arg>
+                                <arg name="text" type="xpath">../../entityCreator/text()</arg>
+                            </label_generator>
                         </entity>
-                    </target_node>
-                </range>
-            </link>
-            <link>
-                <path>
-                    <source_relation>
-                        <relation>locations/locations/postalCode</relation>
-                    </source_relation>
-                    <target_relation>
                         <relationship>crm:P1_is_identified_by</relationship>
                     </target_relation>
                 </path>
                 <range>
-                    <source_node>locations/locations/postalCode</source_node>
+                    <source_node>locations/locations</source_node>
                     <target_node>
                         <entity>
-                            <type>crm:E51_Contact_Point</type>
-                            <instance_generator name="OneLevelCustomURI">
-                                <arg name="level1" type="constant">postal box appellation</arg>
-                                <arg name="term" type="xpath">text()</arg>
-                            </instance_generator>
+                            <type>crm:E45_Address</type>
+                            <instance_generator name="UUID"/>
+                            <label_generator name="AddressLabel">
+                                <arg name="term" type="xpath">street/text()</arg>
+                                <arg name="term2" type="xpath">postalCode/text()</arg>
+                                <arg name="term3" type="xpath">place/text()</arg>
+                                <arg name="term4" type="xpath">country/text()</arg>
+                            </label_generator>
                         </entity>
                     </target_node>
                 </range>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/ehri_328_mapping.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/ehri_328_mapping.xml	(revision 52908)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/ehri_328_mapping.xml	(revision 52909)
@@ -10,9 +10,8 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>EHRI 328 Mapping 2018-03-28</TITLE>
-				<CODE> <![CDATA[
-<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.2" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.0.xsd">
+				<TITLE>EHRI 328 Mapping 2018-07-31</TITLE>
+				<CODE> <![CDATA[<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.2" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.0.xsd">
     <info>
         <title>EHRI  -&gt; PE  Mapping File Official</title>
         <general_description>This mapping represents a mapping from the EHRI data registry to the Parthenos Entities format designed for the Parthenos project. The EHRI format is based on EAD. Each record provides metadata about itself qua metadata record and about some collection that it describes.</general_description>
@@ -67,7 +66,7 @@
             <example_data_from>EHRI</example_data_from>
             <example_data_contact_person>Charles Riondet</example_data_contact_person>
             <example_data_source_record xml_link="ehri_new_samp___10-08-2017140053___3568.xml"/>
-            <generator_policy_info generator_link="PARTHENOS-GeneratorPolicy_v1.2___10-08-2017153548___8596.xml"/>
+            <generator_policy_info generator_link="PARTHENOS-GeneratorPolicy_v1.5___24-07-2018151516___515.xml">PARTHENOS-GeneratorPolicy_v1.5</generator_policy_info>
             <example_data_target_record rdf_link="Mapping328.ttl"/>
         </example_data_info>
     </info>
@@ -1046,25 +1045,43 @@
             <link>
                 <path>
                     <source_relation>
-                        <relation>address/addressline</relation>
+                        <relation>address</relation>
                     </source_relation>
                     <target_relation>
                         <relationship>crm:P74_has_current_or_former_residence</relationship>
-                        <entity variable="p1">
+                        <entity>
                             <type>crm:E53_Place</type>
-                            <instance_generator name="UUID"/>
+                            <instance_generator name="PlaceURI">
+                                <arg name="term" type="xpath">../publisher/text()</arg>
+                            </instance_generator>
                             <label_generator name="CompositeLabel">
                                 <arg name="label" type="constant">Location of </arg>
-                                <arg name="text" type="xpath">../../publisher/text()</arg>
+                                <arg name="text" type="xpath">../publisher/text()</arg>
                             </label_generator>
+                            <additional>
+                                <relationship>crm:P2_has_type</relationship>
+                                <entity>
+                                    <type>crm:E55_Type</type>
+                                    <instance_info>
+                                        <constant>Building Location</constant>
+                                    </instance_info>
+                                    <instance_generator name="ConceptURI_2step">
+                                        <arg name="term" type="constant">placetype</arg>
+                                        <arg name="term1" type="constant">buildinglocation</arg>
+                                    </instance_generator>
+                                    <label_generator name="SimpleLabel">
+                                        <arg name="label" type="constant">Building Location</arg>
+                                    </label_generator>
+                                </entity>
+                            </additional>
                         </entity>
                         <relationship>crm:P1_is_identified_by</relationship>
-                        <entity variable="a1">
+                        <entity>
                             <type>crm:E45_Address</type>
                             <instance_generator name="UUID"/>
                             <label_generator name="CompositeLabel">
                                 <arg name="label" type="constant">Address for Location of</arg>
-                                <arg name="text" type="xpath">../../publisher/text()</arg>
+                                <arg name="text" type="xpath">../publisher/text()</arg>
                             </label_generator>
                         </entity>
                         <relationship>crm:P3_has_note</relationship>
@@ -1085,12 +1102,14 @@
                     </comments>
                 </path>
                 <range>
-                    <source_node>address/addressline</source_node>
+                    <source_node>address</source_node>
                     <target_node>
                         <entity>
                             <type>http://www.w3.org/2000/01/rdf-schema#Literal</type>
-                            <instance_generator name="Literal">
-                                <arg name="text" type="xpath">text()</arg>
+                            <instance_generator name="ConcatMultipleTerms">
+                                <arg name="prefix" type="constant"/>
+                                <arg name="sameTermsDelim" type="constant">, </arg>
+                                <arg name="text1" type="xpath">addressline/text()</arg>
                             </instance_generator>
                         </entity>
                     </target_node>
Index: modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/ariadne_dataset_444_mapping.xml
===================================================================
--- modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/ariadne_dataset_444_mapping.xml	(revision 52908)
+++ modules/dnet-parthenos/trunk/src/main/resources/eu/dnetlib/bootstrap/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/ariadne_dataset_444_mapping.xml	(revision 52909)
@@ -10,7 +10,7 @@
 		<CONFIGURATION>
 			<IMPORTED/>
 			<SCRIPT>
-				<TITLE>Ariadne 444 Mapping 2018-04-24</TITLE>
+				<TITLE>Ariadne 444 Mapping 2018-07-30</TITLE>
 				<CODE><![CDATA[
 <x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.2" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="x3ml_v1.0.xsd">
     <info>
@@ -72,8 +72,8 @@
         <example_data_info>
             <example_data_from>Oxygen</example_data_from>
             <example_data_contact_person>Nicola Aloia</example_data_contact_person>
-            <example_data_source_record xml_link="DANS-23601855___19-12-2017114033___5913.xml"/>
-            <generator_policy_info generator_link="PARTHENOS-GeneratorPolicy_v1.2___10-08-2017153548___8596.xml"/>
+            <example_data_source_record xml_link="DANS-23601855___19-12-2017114033___5913.xml">DANS-23601855</example_data_source_record>
+            <generator_policy_info generator_link="PARTHENOS-GeneratorPolicy_v1.5___24-07-2018151516___515.xml">PARTHENOS-GeneratorPolicy_v1.5</generator_policy_info>
             <example_data_target_record rdf_link="Mapping444.ttl"/>
         </example_data_info>
     </info>
@@ -1319,6 +1319,9 @@
                                 <arg name="level1" type="constant">Period</arg>
                                 <arg name="term" type="xpath">acdm:periodName/skos:Concept/skos:prefLabel/text()</arg>
                             </instance_generator>
+                            <label_generator name="SimpleLabel">
+                                <arg name="label" type="xpath">acdm:periodName/skos:Concept/skos:prefLabel/text()</arg>
+                            </label_generator>
                         </entity>
                     </target_node>
                 </range>
@@ -1347,6 +1350,9 @@
                                 <arg name="level1" type="constant">Period</arg>
                                 <arg name="term" type="xpath">acdm:periodName/text()</arg>
                             </instance_generator>
+                            <label_generator name="SimpleLabel">
+                                <arg name="label" type="xpath">acdm:periodName/text()</arg>
+                            </label_generator>
                         </entity>
                     </target_node>
                 </range>