Index: modules/dli-service-portal/trunk/static/currentStats.json
===================================================================
--- modules/dli-service-portal/trunk/static/currentStats.json	(revision 53029)
+++ modules/dli-service-portal/trunk/static/currentStats.json	(revision 53030)
@@ -1,143 +1,149 @@
 {
   "stats": [
     {
-      "datasourceName": "Datasets in Datacite",
-      "publication": 1840333,
-      "links": 84005370,
-      "unknown": 2525959,
-      "dataset": 79634571,
-      "total": 6960498
-     },
-     {
-      "datasourceName": "Elsevier",
-      "publication": 1454547,
-      "links": 2904739,
-      "unknown": 383706,
-      "dataset": 1066486,
-      "total": 1273106
-     },
-     {
-      "datasourceName": "Cambridge Crystallographic Data Centre",
-      "publication": 689177,
-      "links": 1389788,
-      "unknown": 4892,
-      "dataset": 695719,
-      "total": 985020
-     },
-     {
-      "datasourceName": "Pangaea",
-      "publication": 144177,
-      "links": 994780,
-      "unknown": 223464,
-      "dataset": 627139,
-      "total": 351564
-     },
-
-     {
-      "datasourceName": "Crossref",
-      "publication": 0,
-      "links": 0,
-      "unknown": 0,
-      "dataset": 0,
-      "total": 615254
-     },
-
-     {
-      "datasourceName": "NCBI Nucleotide",
-      "publication": 0,
-      "links": 0,
-      "unknown": 0,
-      "dataset": 0,
-      "total": 473970
-     },
-     {
-      "total": 1637994,
-      "datasourceName": "European Nucleotide Archive",
-      "publication": 612270,
-      "links": 1224540,
-      "dataset": 612270
-     },
-     {
-      "total": 797694,
-      "datasourceName": "PubMed",
-      "publication": 516434,
-      "links": 1032868,
-      "dataset": 516434
-     },
-     {
-      "datasourceName": "OpenAIRE",
-      "publication": 90135,
-      "links": 533066,
-      "unknown": 175602,
-      "dataset": 267329,
-      "total": 189040
-     },
-     {
-      "total": 73159,
-      "datasourceName": "ICPSR",
-      "publication": 138124,
-      "links": 276248,
-      "dataset": 138124
-     },
-     {
-      "datasourceName": "RCSB",
-      "publication": 87773,
-      "links": 175648,
-      "unknown": 51,
-      "dataset": 87824,
-      "total": 143132
-     },
-     {
-      "datasourceName": "Springer Nature",
-      "publication": 28238,
-      "links": 56508,
-      "unknown": 16,
-      "dataset": 28254,
-      "total": 35287
-     },
-     {
-      "total": 28866,
-      "datasourceName": "Thomson Reuters",
-      "publication": 23714,
-      "links": 48958,
-      "dataset": 25244
-     },
-     {
-      "datasourceName": "IEDA",
-      "publication": 603,
-      "links": 1498,
-      "unknown": 77,
-      "dataset": 818,
-      "total": 916
-     },
-     {
-      "datasourceName": "3TU.Datacentrum",
-      "publication": 0,
-      "links": 432,
-      "unknown": 216,
-      "dataset": 216,
-      "total": 351
-     },
-     {
-      "total": 117,
-      "datasourceName": "Australian National Data Service",
-      "publication": 74,
-      "links": 148,
-      "dataset": 74
-     },
-     {
-      "total": 63,
-      "datasourceName": "IEEE",
-      "publication": 47,
-      "links": 94,
-      "dataset": 47
-     },
-     {
-      "total": 33,
-      "datasourceName": "Mendeley Data",
-      "publication": 18,
-      "links": 36,
-      "dataset": 18
-     }
-    ]
+     "datasourceName": "Datasets in Datacite",
+     "publication": 502914,
+     "links": 84059657,
+     "unknown": 1153259,
+     "total": 6960498,
+     "dataset": 5304325
+    },
+    {
+     "datasourceName": "Elsevier",
+     "publication": 179001,
+     "links": 2904739,
+     "unknown": 239909,
+     "total": 1273106,
+     "dataset": 854196
+    },
+    {
+     "datasourceName": "Cambridge Crystallographic Data Centre",
+     "publication": 296971,
+     "links": 1389788,
+     "unknown": 2301,
+     "total": 985020,
+     "dataset": 685748
+    },
+    {
+     "datasourceName": "European Nucleotide Archive",
+     "publication": 288873,
+     "links": 1224540,
+     "unknown": 0,
+     "total": 1637994,
+     "dataset": 1349121
+    },
+    {
+     "datasourceName": "PubMed",
+     "publication": 391386,
+     "links": 1032868,
+     "unknown": 0,
+     "total": 797694,
+     "dataset": 406308
+    },
+    {
+     "datasourceName": "Pangaea",
+     "publication": 15773,
+     "links": 994780,
+     "unknown": 39647,
+     "total": 351564,
+     "dataset": 296144
+    },
+    {
+     "datasourceName": "OpenAIRE",
+     "publication": 56344,
+     "links": 533066,
+     "unknown": 98145,
+     "total": 189040,
+     "dataset": 34551
+    },
+    {
+     "datasourceName": "ICPSR",
+     "publication": 66334,
+     "links": 276248,
+     "unknown": 0,
+     "total": 73159,
+     "dataset": 6825
+    },
+    {
+     "datasourceName": "RCSB",
+     "publication": 44905,
+     "links": 175648,
+     "unknown": 36,
+     "total": 143132,
+     "dataset": 98191
+    },
+    {
+     "datasourceName": "Springer Nature",
+     "publication": 7076,
+     "links": 56508,
+     "unknown": 11,
+     "total": 35287,
+     "dataset": 28200
+    },
+    {
+     "datasourceName": "Thomson Reuters",
+     "publication": 4268,
+     "links": 48958,
+     "unknown": 0,
+     "total": 28866,
+     "dataset": 24598
+    },
+    {
+     "datasourceName": "IEDA",
+     "publication": 395,
+     "links": 1498,
+     "unknown": 30,
+     "total": 916,
+     "dataset": 491
+    },
+    {
+     "datasourceName": "3TU.Datacentrum",
+     "publication": 0,
+     "links": 432,
+     "unknown": 187,
+     "total": 351,
+     "dataset": 164
+    },
+    {
+     "datasourceName": "Australian National Data Service",
+     "publication": 78,
+     "links": 148,
+     "unknown": 0,
+     "total": 117,
+     "dataset": 39
+    },
+    {
+     "datasourceName": "IEEE",
+     "publication": 16,
+     "links": 94,
+     "unknown": 0,
+     "total": 63,
+     "dataset": 47
+    },
+    {
+     "datasourceName": "Mendeley Data",
+     "publication": 15,
+     "links": 36,
+     "unknown": 0,
+     "total": 33,
+     "dataset": 18
+    },
+    {
+     "datasourceName": "NCBI Nucleotide",
+     "publication": 0,
+     "links": 0,
+     "unknown": 0,
+     "total": 473970,
+     "dataset": 473970
+    },
+    {
+     "datasourceName": "Crossref",
+     "publication": 590322,
+     "links": 0,
+     "unknown": 0,
+     "total": 615254,
+     "dataset": 24932
+    }
+    
+   ]
 }
\ No newline at end of file