Index: modules/dli-service-portal/trunk/static/stats2.json
===================================================================
--- modules/dli-service-portal/trunk/static/stats2.json	(revision 53052)
+++ modules/dli-service-portal/trunk/static/stats2.json	(revision 53053)
@@ -21,7 +21,8 @@
       "2017-04-02",
       "2017-05-10",
       "2017-07-25",
-      "2017-09-25"
+      "2017-09-25",
+      "2018-09-01"
 
 
     ],
@@ -46,7 +47,8 @@
       "23890",
       "28620",
       "28620",
-      "28620"
+      "28620",
+      "533066"
 
     ],
     [
@@ -70,6 +72,7 @@
       "172974",
       "175648",
       "175648",
+      "175648",
       "175648"
     ],
     [
@@ -93,7 +96,8 @@
       "934720",
       "725414",
       "903190",
-      "856181"
+      "856181",
+      "994780"
     ],
     [
       "Datasets in DataCite",
@@ -116,7 +120,8 @@
       "13609310",
       "13287520",
       "13390652",
-      "33762553"
+      "33762553",
+      "84059657"
     ],
     [
       "Cambridge Crystallographic Data Centre",
@@ -139,7 +144,8 @@
       "695698",
       "1215464",
       "1215468",
-      "1276152"
+      "1276152",
+      "1389788"
     ],
     [
       "Mendeley Data and published articles",
@@ -162,7 +168,8 @@
       "0",
       "0",
       "0",
-      "0"
+      "0",
+      "36"
 
 
     ],
@@ -187,7 +194,8 @@
       "266808",
       "272912",
       "266806",
-      "266806"
+      "266806",
+      "276248"
     ],
     [
       "Australian National Data Service",
@@ -210,7 +218,8 @@
       "366988",
       "369724",
       "369370",
-      "19552"
+      "19552",
+      "148"
     ],
     [
       "EuropePMC",
@@ -233,7 +242,8 @@
       "996002",
       "1032816",
       "1032816",
-      "1032816"
+      "1032816",
+      "1032868"
     ],
     [
       "Thomson Reuters",
@@ -256,7 +266,8 @@
       "48956",
       "47972",
       "47972",
-      "47972"
+      "47972",
+      "48958"
     ],
     [
       "Springer Nature",
@@ -279,7 +290,8 @@
       "56510",
       "56510",
       "56510",
-      "56510"
+      "56510",
+      "56508"
     ],
     [
       "Elsevier",
@@ -302,7 +314,8 @@
       "138972",
       "138976",
       "138976",
-      "138976"
+      "138976",
+      "2904739"
     ],
     [
       "3TU Datacentrum",
@@ -325,6 +338,7 @@
       "432",
       "432",
       "432",
+      "432",
       "432"
     ],
     [
@@ -348,6 +362,7 @@
       "94",
       "94",
       "94",
+      "94",
       "94"
     ],
     [
@@ -371,6 +386,7 @@
       "1544",
       "1366",
       "1366",
+      "1366",
       "1366"
     ]
   ],
@@ -395,7 +411,8 @@
       "2016-12-12",
       "2017-04-02",
       "2017-05-10",
-      "2017-07-25"
+      "2017-07-25",
+      "2018-09-01"
     ],
     [
       "OpenAIRE",
@@ -417,7 +434,8 @@
       "9773",
       "19282",
       "22153",
-      "22540"
+      "22540",
+      "189040"
 
     ],
     [
@@ -440,6 +458,7 @@
       "133643",
       "88787",
       "133646",
+      "133646",
       "133646"
     ],
     [
@@ -462,7 +481,8 @@
       "317688",
       "312594",
       "328385",
-      "335815"
+      "335815",
+      "351564"
     ],
     [
       "Datasets in DataCite",
@@ -484,7 +504,8 @@
       "1300877",
       "1429074",
       "1622150",
-      "3102625"
+      "3102625",
+      "6960498"
     ],
     [
       "Cambridge Crystallographic Data Centre",
@@ -506,7 +527,8 @@
       "762327",
       "598979",
       "864534",
-      "864729"
+      "864729",
+      "985020"
     ],
     [
       "Mendeley Data and published articles",
@@ -528,6 +550,7 @@
       "33",
       "0",
       "0",
+      "33",
       "33"
     ],
     [
@@ -550,6 +573,7 @@
       "5607",
       "70112",
       "72055",
+      "72055",
       "72055"
     ],
     [
@@ -572,7 +596,8 @@
       "6195",
       "154666",
       "155732",
-      "155732"
+      "155732",
+      "117"
     ],
     [
       "EuropePMC",
@@ -594,7 +619,8 @@
       "516070",
       "396191",
       "515207",
-      "515207"
+      "515207",
+      "797694"
     ],
     [
       "CrossRef",
@@ -616,7 +642,8 @@
       "313625",
       "380499",
       "380522",
-      "502426"
+      "502426",
+      "615254"
     ],
     [
       "Thomson Reuters",
@@ -638,7 +665,8 @@
       "28540",
       "4663",
       "28867",
-      "28867"
+      "28867",
+      "28866"
     ],
     [
       "Springer Nature",
@@ -660,6 +688,7 @@
       "35672",
       "28213",
       "35280",
+      "35280",
       "35280"
     ],
     [
@@ -682,7 +711,8 @@
       "73233",
       "24329",
       "90211",
-      "90211"
+      "90211",
+      "1273106"
     ],
     [
       "3TU Datacentrum",
@@ -704,6 +734,7 @@
       "351",
       "351",
       "351",
+      "351",
       "351"
     ],
     [
@@ -726,6 +757,7 @@
       "63",
       "12",
       "59",
+      "59",
       "59"
     ],
     [
@@ -748,6 +780,7 @@
       "916",
       "518",
       "916",
+      "916",
       "916"
     ]
   ]