Index: modules/dnet-patcheditor-ui/trunk/src/main/java/eu/dnetlib/functionality/modular/ui/patcheditor/PatchEditorController.java
===================================================================
--- modules/dnet-patcheditor-ui/trunk/src/main/java/eu/dnetlib/functionality/modular/ui/patcheditor/PatchEditorController.java	(revision 54636)
+++ modules/dnet-patcheditor-ui/trunk/src/main/java/eu/dnetlib/functionality/modular/ui/patcheditor/PatchEditorController.java	(revision 54637)
@@ -136,6 +136,7 @@
 
 		final PatchedRecord patchedRecord = createPatchedRecord(recordId);
 		patchedRecord.getData().put("repositoryId", patchedRecord.getRepositoryId());
+		patchedRecord.getData().put("entityType", patchedRecord.getType());
 		return patchedRecord.getData();
 	}
 
@@ -153,7 +154,7 @@
 			HttpSession httpSession,
 			@RequestParam(value = "id", required = true) String id,
 			@RequestParam(value = "patches", required = true) String patches) {
-		generateActions(map, httpSession, id, patches, EntityTypes.avcreation);
+		generateActions(map, httpSession, id, patches);
 		return "ok";
 	}
 
@@ -277,10 +278,11 @@
 	private void generateActions(ModelMap map,
 			HttpSession httpSession,
 			String recordId,
-			String jsonPatches,
-			EntityTypes entityType) {
+			String jsonPatches) {
 		try {
 			final PatchedRecord record = createPatchedRecord(recordId);
+			final String type = record.getType();
+			final EntityTypes entityType = UIAction.EntityTypes.valueOf(type);
 
 			final List<Patch> patches = new ArrayList<Patch>();
 
Index: modules/dnet-patcheditor-ui/trunk/src/main/resources/eu/dnetlib/web/resources/html/PatchRecord.html
===================================================================
--- modules/dnet-patcheditor-ui/trunk/src/main/resources/eu/dnetlib/web/resources/html/PatchRecord.html	(revision 54636)
+++ modules/dnet-patcheditor-ui/trunk/src/main/resources/eu/dnetlib/web/resources/html/PatchRecord.html	(revision 54637)
@@ -201,7 +201,7 @@
 					<div class="spacer25"></div>
 		</form>
 	</div>	
-	<div class="col-md-offset-3 col-md-7 well">
+	<div class="col-md-offset-3 col-md-7 well" ng-if="entityType=='avcreation'">
 		<form class="form-horizontal">
 				<legend>Country</legend>
 					<div class="form-group">
@@ -215,7 +215,7 @@
 					<div class="spacer25"></div>
 		</form>
 	</div>
-	<div class="col-md-offset-3 col-md-7 well">
+	<div class="col-md-offset-3 col-md-7 well" ng-if="entityType=='avcreation'">
 		<form class="form-horizontal">
 				<legend>Year</legend>
 					<div class="form-group">
@@ -281,7 +281,7 @@
 			<div class="spacer25"></div>
 		</form>
 	</div>
-	<div class="col-md-offset-3 col-md-7 well">
+	<div class="col-md-offset-3 col-md-7 well" ng-if="entityType=='avcreation'">
 		<form class="form-horizontal">
 			<legend>Sound</legend>
 			<div class="form-group">
@@ -317,7 +317,7 @@
 			<div class="spacer25"></div>
 		</form>
 	</div>
-	<div class="col-md-offset-3 col-md-7 well">
+	<div class="col-md-offset-3 col-md-7 well" ng-if="entityType=='avcreation'">
 		<form class="form-horizontal">
 				<legend>Duration</legend>
 					<div class="form-group">
Index: modules/dnet-patcheditor-ui/trunk/src/main/resources/eu/dnetlib/web/resources/js/patcheditor_controllers.js
===================================================================
--- modules/dnet-patcheditor-ui/trunk/src/main/resources/eu/dnetlib/web/resources/js/patcheditor_controllers.js	(revision 54636)
+++ modules/dnet-patcheditor-ui/trunk/src/main/resources/eu/dnetlib/web/resources/js/patcheditor_controllers.js	(revision 54637)
@@ -40,20 +40,32 @@
 					function (data) {
 						$scope.patchedRecord = data;
 						$scope.repositoryId = data.repositoryId;
+						$scope.entityType = data.entityType;
 						$scope.rightsStatus = $scope.patchedRecord.rights.status;
 						$scope.holder = $scope.patchedRecord.rights.holder;
 						$scope.holderUrl = $scope.patchedRecord.rights.holderUrl;
-						$scope.originalRecords={
-						        'rights':{"status":$scope.patchedRecord.rights.status,"holderUrl":$scope.patchedRecord.rights.holderUrl, "holder":$scope.patchedRecord.rights.holder},
-						        "countryOfReference":$scope.patchedRecord.countryOfReference,
-						        "digitalObject":{"isShownAt":$scope.patchedRecord.digitalObject.isShownAt,"aggregator":$scope.patchedRecord.digitalObject.aggregator,"thumbnail":$scope.patchedRecord.digitalObject.thumbnail,"isShownBy":$scope.patchedRecord.digitalObject.isShownBy},
-						        "productionYear":$scope.patchedRecord.productionYear,
-						        "colour":{"text":$scope.patchedRecord.colour.text,"hasColor":$scope.patchedRecord.colour.hasColor},
-						        "provenance":$scope.patchedRecord.provenance,        
-						        "duration":$scope.patchedRecord.duration,
-						        "sound":{"text":$scope.patchedRecord.sound.text,"hasSound":$scope.patchedRecord.sound.hasSound},
-						        "gauge":$scope.patchedRecord.gauge       
-						    };
+						if ($scope.entityType=='avcreation') {
+							$scope.originalRecords={
+							        'rights':{"status":$scope.patchedRecord.rights.status,"holderUrl":$scope.patchedRecord.rights.holderUrl, "holder":$scope.patchedRecord.rights.holder},
+							        "countryOfReference":$scope.patchedRecord.countryOfReference,
+							        "digitalObject":{"isShownAt":$scope.patchedRecord.digitalObject.isShownAt,"aggregator":$scope.patchedRecord.digitalObject.aggregator,"thumbnail":$scope.patchedRecord.digitalObject.thumbnail,"isShownBy":$scope.patchedRecord.digitalObject.isShownBy},
+							        "productionYear":$scope.patchedRecord.productionYear,
+							        "colour":{"text":$scope.patchedRecord.colour.text,"hasColor":$scope.patchedRecord.colour.hasColor},
+							        "provenance":$scope.patchedRecord.provenance,        
+							        "duration":$scope.patchedRecord.duration,
+							        "sound":{"text":$scope.patchedRecord.sound.text,"hasSound":$scope.patchedRecord.sound.hasSound},
+							        "gauge":$scope.patchedRecord.gauge       
+							    };
+						}
+						else if ($scope.entityType=='nonavcreation') {
+							$scope.originalRecords={
+							        'rights':{"status":$scope.patchedRecord.rights.status,"holderUrl":$scope.patchedRecord.rights.holderUrl, "holder":$scope.patchedRecord.rights.holder},
+							        "digitalObject":{"isShownAt":$scope.patchedRecord.digitalObject.isShownAt,"aggregator":$scope.patchedRecord.digitalObject.aggregator,"thumbnail":$scope.patchedRecord.digitalObject.thumbnail,"isShownBy":$scope.patchedRecord.digitalObject.isShownBy},
+							        "colour":{"text":$scope.patchedRecord.colour.text,"hasColor":$scope.patchedRecord.colour.hasColor},
+							        "provenance":$scope.patchedRecord.provenance,        
+							        "gauge":$scope.patchedRecord.gauge       
+							    };
+						}
 						$scope.searchPatchNotIndexed();
 					}
 				)
@@ -96,9 +108,9 @@
 	            show_notification('error', 'Error getting countries ');
 	        });
 
-		}		
+		}	
 		$scope.loadCountry();
-
+		
 		$scope.loadTitleTypes = function() {
 	        $http.get('patcheditor/titleTypes').success(function (data) {
 	            $scope.titleTypes = data;
@@ -427,28 +439,32 @@
 	            patches.push(tmp);             
 	        }
 	        
-	        if ($scope.originalRecords.countryOfReference != $scope.patchedRecord.countryOfReference)
-	        {
-	            var tmp= new Patch();
-	            tmp.fieldType="countryOfReference";
-	            if ($scope.patchedRecord.countryOfReference==null)
-	                tmp.operation="DELETENODE"
-	            else
-	                tmp.operation="EDIT";                           
-	            tmp.value= $scope.patchedRecord.countryOfReference;
-	            patches.push(tmp);             
+	        if ($scope.entityType=='avcreation') {
+		        if ($scope.originalRecords.countryOfReference != $scope.patchedRecord.countryOfReference)
+		        {
+		            var tmp= new Patch();
+		            tmp.fieldType="countryOfReference";
+		            if ($scope.patchedRecord.countryOfReference==null)
+		                tmp.operation="DELETENODE"
+		            else
+		                tmp.operation="EDIT";                           
+		            tmp.value= $scope.patchedRecord.countryOfReference;
+		            patches.push(tmp);             
+		        }
 	        }
 	
-	        if ($scope.originalRecords.productionYear != $scope.patchedRecord.productionYear)
-	        {
-	            var tmp= new Patch();
-	            tmp.fieldType="productionYear";
-	            if ($scope.patchedRecord.productionYear==null)
-	                tmp.operation="DELETENODE"
-	            else
-	                tmp.operation="EDIT";                           
-	            tmp.value= $scope.patchedRecord.productionYear;
-	            patches.push(tmp);             
+	        if ($scope.entityType=='avcreation') {
+		        if ($scope.originalRecords.productionYear != $scope.patchedRecord.productionYear)
+		        {
+		            var tmp= new Patch();
+		            tmp.fieldType="productionYear";
+		            if ($scope.patchedRecord.productionYear==null)
+		                tmp.operation="DELETENODE"
+		            else
+		                tmp.operation="EDIT";                           
+		            tmp.value= $scope.patchedRecord.productionYear;
+		            patches.push(tmp);             
+		        }
 	        }
 	 
 	        for(var i=0,j=$scope.patchedRecord.languages.length; i<j; i++){
@@ -479,18 +495,19 @@
 	            patches.push(tmp);             
 	        }  
 	        
-	        if (($scope.originalRecords.sound.text != $scope.patchedRecord.sound.text)|| ($scope.originalRecords.sound.hasSound != $scope.patchedRecord.sound.hasSound)  )
-	        {
-	            var tmp= new Patch();
-	            if ($scope.patchedRecord.sound.text==null)
-	                tmp.operation="DELETENODE";
-	            else
-	                tmp.operation="EDIT";
-	            tmp.fieldType="sound";                                       
-	            tmp.value= $scope.patchedRecord.sound.text+"::-::"+ $scope.patchedRecord.sound.hasSound;
-	            patches.push(tmp);             
+	        if ($scope.entityType=='avcreation') {
+		        if (($scope.originalRecords.sound.text != $scope.patchedRecord.sound.text)|| ($scope.originalRecords.sound.hasSound != $scope.patchedRecord.sound.hasSound)  )
+		        {
+		            var tmp= new Patch();
+		            if ($scope.patchedRecord.sound.text==null)
+		                tmp.operation="DELETENODE";
+		            else
+		                tmp.operation="EDIT";
+		            tmp.fieldType="sound";                                       
+		            tmp.value= $scope.patchedRecord.sound.text+"::-::"+ $scope.patchedRecord.sound.hasSound;
+		            patches.push(tmp);             
+		        }
 	        }
-	        
 	        if ($scope.originalRecords.gauge != $scope.patchedRecord.gauge)
 	        {
 	            var tmp= new Patch();
@@ -503,16 +520,18 @@
 	            patches.push(tmp);             
 	        }
 	        
-	        if ($scope.originalRecords.duration != $scope.patchedRecord.duration)
-	        {
-	            var tmp= new Patch();
-	            tmp.fieldType="duration";
-	            if ($scope.patchedRecord.duration==null)
-	                tmp.operation="DELETENODE"
-	            else
-	                tmp.operation="EDIT";                           
-	            tmp.value= $scope.patchedRecord.duration;
-	            patches.push(tmp);             
+	        if ($scope.entityType=='avcreation') {
+		        if ($scope.originalRecords.duration != $scope.patchedRecord.duration)
+		        {
+		            var tmp= new Patch();
+		            tmp.fieldType="duration";
+		            if ($scope.patchedRecord.duration==null)
+		                tmp.operation="DELETENODE"
+		            else
+		                tmp.operation="EDIT";                           
+		            tmp.value= $scope.patchedRecord.duration;
+		            patches.push(tmp);             
+		        }
 	        }
 	        if ($scope.originalRecords.provenance != $scope.patchedRecord.provenance)
 	        {